get
https://api.genability.com/rest/v1/accounts//analyses/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Retrieve one previously run Savings Analysis using the Arcadia accountId and savingsAnalysisId.
Use this endpoint when you have the Arcadia-generated account UUID and the savingsAnalysisId returned by a previous Savings Analysis response or history list response. To retrieve one analysis using your own account identifier, use Get One Savings Analysis with providerAccountId. For the full history workflow, see Savings Analysis History.
Resource URI
GET /rest/v1/accounts/{accountId}/analyses/{savingsAnalysisId}Path parameters
| Parameter | Type | Description |
|---|---|---|
accountId | String | Arcadia UUID of the Account object. Required. |
savingsAnalysisId | String | Arcadia-generated ID returned in the Savings Analysis response. Required. |
Optional parameters
| Parameter | Type | Description |
|---|---|---|
populateRequest | Boolean | When true, includes the original Savings Analysis request. Optional. |
For more context and response examples, see Savings Analysis History.
Example
GET /rest/v1/accounts/012f31cd-7d85-422c-bcca-6147ba349495/analyses/34eb2c30-cf83-4a84-b6b8-948e34a3c9f1A successful response returns a standard response payload with type set to AccountAnalysis and one Savings Analysis in the results array.
{
"status": "success",
"count": 1,
"type": "AccountAnalysis",
"results": [
{
"savingsAnalysisId": "34eb2c30-cf83-4a84-b6b8-948e34a3c9f1",
"accountId": "012f31cd-7d85-422c-bcca-6147ba349495",
"currency": "USD",
"summary": {
"preTotalCost": 1448.88,
"postTotalCost": 515.82,
"netAvoidedCost": 933.06
}
}
]
}